﻿<?xml version="1.0" encoding="utf-8"?>
<Project ToolsVersion="12.0" DefaultTargets="Build" xmlns="http://schemas.microsoft.com/developer/msbuild/2003">
  <Import Project="$(MSBuildExtensionsPath)\$(MSBuildToolsVersion)\Microsoft.Common.props" Condition="Exists('$(MSBuildExtensionsPath)\$(MSBuildToolsVersion)\Microsoft.Common.props')" />
  <!--
    This section defines project-level properties.

    AssemblyName
      Name of the output assembly.
    Configuration
      Specifies a default value for debug.
    OutputType
      Must be "Library" for VSTO.
    Platform
      Specifies what CPU the output of this project can run on.
    NoStandardLibraries
      Set to "false" for VSTO.
    RootNamespace
      In C#, this specifies the namespace given to new files. In VB, all objects are
      wrapped in this namespace at runtime.
  -->
  <PropertyGroup>
    <ProjectTypeGuids>{BAA0C2D2-18E2-41B9-852F-F413020CAA33};{FAE04EC0-301F-11D3-BF4B-00C04F79EFBC}</ProjectTypeGuids>
    <Configuration Condition=" '$(Configuration)' == '' ">Debug</Configuration>
    <Platform Condition=" '$(Platform)' == '' ">AnyCPU</Platform>
    <ProjectGuid>{D2357AB1-5E48-4CD1-84A3-494AE9D60C1E}</ProjectGuid>
    <OutputType>Library</OutputType>
    <NoStandardLibraries>false</NoStandardLibraries>
    <RootNamespace>ExcelAddIn</RootNamespace>
    <AssemblyName>Stat-DLM</AssemblyName>
    <TargetFrameworkVersion>v4.7.2</TargetFrameworkVersion>
    <DefineConstants>VSTO40</DefineConstants>
    <IsWebBootstrapper>False</IsWebBootstrapper>
    <TargetFrameworkProfile />
    <FileUpgradeFlags>
    </FileUpgradeFlags>
    <UpgradeBackupLocation>
    </UpgradeBackupLocation>
    <OldToolsVersion>12.0</OldToolsVersion>
    <VSTO_TrustAssembliesLocation>true</VSTO_TrustAssembliesLocation>
    <AppConfig Condition=" '$(Configuration)' != 'Debug' ">App.$(Configuration).config</AppConfig>
    <NuGetPackageImportStamp>
    </NuGetPackageImportStamp>
    <RestorePackagesWithLockFile>true</RestorePackagesWithLockFile>
    <BootstrapperEnabled>true</BootstrapperEnabled>
    <PublishUrl>\\main.oecd.org\em_admin\DLMExcelAddin_Test\</PublishUrl>
    <InstallUrl />
    <TargetCulture>en</TargetCulture>
    <ApplicationVersion>3.3.12.1</ApplicationVersion>
    <AutoIncrementApplicationRevision>false</AutoIncrementApplicationRevision>
    <UpdateEnabled>true</UpdateEnabled>
    <UpdateInterval>1</UpdateInterval>
    <UpdateIntervalUnits>days</UpdateIntervalUnits>
    <ProductName>.Stat DLM</ProductName>
    <PublisherName>OECD</PublisherName>
    <SupportUrl />
    <FriendlyName>.Stat DLM</FriendlyName>
    <OfficeApplicationDescription />
    <LoadBehavior>3</LoadBehavior>
  </PropertyGroup>
  <ItemGroup>
    <BootstrapperPackage Include=".NETFramework,Version=v4.7.2">
      <Visible>False</Visible>
      <ProductName>Microsoft .NET Framework 4.7.2 %28x86 and x64%29</ProductName>
      <Install>true</Install>
    </BootstrapperPackage>
    <BootstrapperPackage Include="Microsoft.Net.Framework.3.5.SP1">
      <Visible>False</Visible>
      <ProductName>.NET Framework 3.5 SP1</ProductName>
      <Install>false</Install>
    </BootstrapperPackage>
    <BootstrapperPackage Include="Microsoft.VSTORuntime.4.0">
      <Visible>False</Visible>
      <ProductName>Microsoft Visual Studio 2010 Tools for Office Runtime %28x86 and x64%29</ProductName>
      <Install>true</Install>
    </BootstrapperPackage>
    <BootstrapperPackage Include="Microsoft.Windows.Installer.4.5">
      <Visible>False</Visible>
      <ProductName>Windows Installer 4.5</ProductName>
      <Install>true</Install>
    </BootstrapperPackage>
  </ItemGroup>
  <PropertyGroup>
    <!--
      OfficeApplication
        Add-in host application
    -->
    <OfficeApplication>Excel</OfficeApplication>
  </PropertyGroup>
  <!--
    This section defines properties that are set when the "Debug" configuration is selected.

    DebugSymbols
      If "true", create symbols (.pdb). If "false", do not create symbols.
    DefineConstants
      Constants defined for the preprocessor.
    EnableUnmanagedDebugging
      If "true", starting the debugger will attach both managed and unmanaged debuggers.
    Optimize
      If "true", optimize the build output. If "false", do not optimize.
    OutputPath
      Output path of project relative to the project file.
    WarningLevel
      Warning level for the compiler.
  -->
  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Debug|AnyCPU' ">
    <DebugSymbols>true</DebugSymbols>
    <DebugType>full</DebugType>
    <Optimize>false</Optimize>
    <OutputPath>bin\Debug\</OutputPath>
    <EnableUnmanagedDebugging>false</EnableUnmanagedDebugging>
    <DefineConstants>$(DefineConstants);DEBUG;TRACE</DefineConstants>
    <WarningLevel>4</WarningLevel>
    <PlatformTarget>AnyCPU</PlatformTarget>
    <Prefer32Bit>false</Prefer32Bit>
  </PropertyGroup>
  <!--
    This section defines properties that are set when the "Release" configuration is selected.

    DebugSymbols
      If "true", create symbols (.pdb). If "false", do not create symbols.
    DefineConstants
      Constants defined for the preprocessor.
    EnableUnmanagedDebugging
      If "true", starting the debugger will attach both managed and unmanaged debuggers.
    Optimize
      If "true", optimize the build output. If "false", do not optimize.
    OutputPath
      Output path of project relative to the project file.
    WarningLevel
      Warning level for the compiler.
  -->
  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Release|AnyCPU' ">
    <DebugType>none</DebugType>
    <Optimize>true</Optimize>
    <OutputPath>bin\Release\</OutputPath>
    <EnableUnmanagedDebugging>false</EnableUnmanagedDebugging>
    <DefineConstants>$(DefineConstants);TRACE</DefineConstants>
    <WarningLevel>4</WarningLevel>
    <Prefer32Bit>false</Prefer32Bit>
    <GenerateSerializationAssemblies>Off</GenerateSerializationAssemblies>
  </PropertyGroup>
  <!--
    This section specifies references for the project.
  -->
  <ItemGroup>
    <Reference Include="Accessibility" />
    <Reference Include="DataWizard.Skins">
      <HintPath>..\Extern\DataWizard.Skins.dll</HintPath>
    </Reference>
    <Reference Include="DevExpress.Data.v14.1, Version=14.1.10.0, Culture=neutral, PublicKeyToken=b88d1754d700e49a, processorArchitecture=MSIL">
      <SpecificVersion>False</SpecificVersion>
      <HintPath>..\Extern\DevExpress.Data.v14.1.dll</HintPath>
    </Reference>
    <Reference Include="DevExpress.Utils.v14.1, Version=14.1.10.0, Culture=neutral, PublicKeyToken=b88d1754d700e49a, processorArchitecture=MSIL">
      <SpecificVersion>False</SpecificVersion>
      <HintPath>..\Extern\DevExpress.Utils.v14.1.dll</HintPath>
    </Reference>
    <Reference Include="DevExpress.XtraEditors.v14.1, Version=14.1.10.0, Culture=neutral, PublicKeyToken=b88d1754d700e49a, processorArchitecture=MSIL">
      <SpecificVersion>False</SpecificVersion>
      <HintPath>..\Extern\DevExpress.XtraEditors.v14.1.dll</HintPath>
      <Private>True</Private>
    </Reference>
    <Reference Include="DevExpress.XtraTreeList.v14.1, Version=14.1.8.0, Culture=neutral, PublicKeyToken=b88d1754d700e49a, processorArchitecture=MSIL">
      <SpecificVersion>False</SpecificVersion>
      <HintPath>..\Extern\DevExpress.XtraTreeList.v14.1.dll</HintPath>
      <Private>True</Private>
    </Reference>
    <Reference Include="Microsoft.Office.Interop.Excel, Version=15.0.0.0, Culture=neutral, PublicKeyToken=71e9bce111e9429c">
      <EmbedInteropTypes>True</EmbedInteropTypes>
    </Reference>
    <Reference Include="Microsoft.Office.Tools, Version=10.0.0.0, Culture=neutral, PublicKeyToken=b03f5f7f11d50a3a, processorArchitecture=MSIL">
      <EmbedInteropTypes>True</EmbedInteropTypes>
    </Reference>
    <Reference Include="Microsoft.Office.Tools.Common, Version=10.0.0.0, Culture=neutral, PublicKeyToken=b03f5f7f11d50a3a, processorArchitecture=MSIL">
      <EmbedInteropTypes>True</EmbedInteropTypes>
    </Reference>
    <Reference Include="Microsoft.VisualStudio.Tools.Applications.Runtime, Version=10.0.0.0, Culture=neutral, PublicKeyToken=b03f5f7f11d50a3a, processorArchitecture=MSIL" />
    <Reference Include="Office, Version=15.0.0.0, Culture=neutral, PublicKeyToken=71e9bce111e9429c">
      <EmbedInteropTypes>True</EmbedInteropTypes>
    </Reference>
    <Reference Include="OXM, Version=1.0.0.0, Culture=neutral, processorArchitecture=MSIL">
      <SpecificVersion>False</SpecificVersion>
      <HintPath>..\Extern\OXM.dll</HintPath>
    </Reference>
    <Reference Include="stdole, Version=7.0.3300.0, Culture=neutral, PublicKeyToken=b03f5f7f11d50a3a">
      <EmbedInteropTypes>True</EmbedInteropTypes>
    </Reference>
    <Reference Include="System" />
    <Reference Include="System.Configuration" />
    <Reference Include="System.Data" />
    <Reference Include="System.Data.Linq" />
    <Reference Include="System.Deployment" />
    <Reference Include="System.Design" />
    <Reference Include="System.Drawing" />
    <Reference Include="System.Messaging" />
    <Reference Include="System.Printing" />
    <Reference Include="System.Web.Extensions" />
    <Reference Include="System.Windows.Forms" />
    <Reference Include="System.Xaml" />
    <Reference Include="System.Xml" />
    <Reference Include="System.Core" />
    <Reference Include="System.Xml.Linq" />
    <Reference Include="System.Data.DataSetExtensions" />
    <Reference Include="Microsoft.CSharp" />
    <Reference Include="TabularWriters">
      <HintPath>..\packages\SdmxSource.NuGet.1.13.0\lib\net40-full\TabularWriters.dll</HintPath>
    </Reference>
    <Reference Include="WindowsBase" />
    <Reference Include="Xml.Schema.Linq">
      <HintPath>..\packages\SdmxSource.NuGet.1.13.0\lib\net40-full\Xml.Schema.Linq.dll</HintPath>
    </Reference>
  </ItemGroup>
  <ItemGroup>
    <Reference Include="Microsoft.Office.Tools.v4.0.Framework, Version=10.0.0.0, Culture=neutral, PublicKeyToken=b03f5f7f11d50a3a, processorArchitecture=MSIL" />
    <Reference Include="Microsoft.Office.Tools.Excel, Version=10.0.0.0, Culture=neutral, PublicKeyToken=b03f5f7f11d50a3a, processorArchitecture=MSIL" />
  </ItemGroup>
  <ItemGroup>
    <Reference Include="Microsoft.Office.Tools.Common.v4.0.Utilities, Version=10.0.0.0, Culture=neutral, PublicKeyToken=b03f5f7f11d50a3a, processorArchitecture=MSIL">
      <Private>True</Private>
    </Reference>
  </ItemGroup>
  <!--
    This section defines the user source files that are part of the project.
     
    A "Compile" element specifies a source file to compile.
    An "EmbeddedResource" element specifies an .resx file for embedded resources.
    A "None" element specifies a file that is not to be passed to the compiler (for instance, 
    a text file or XML file).
    The "AppDesigner" element specifies the directory where the application properties files
    can be found.
  -->
  <ItemGroup>
    <EmbeddedResource Include="Forms\AuthDialog.resx">
      <DependentUpon>AuthDialog.cs</DependentUpon>
    </EmbeddedResource>
    <Compile Include="Config.cs" />
    <Compile Include="DAL\OecdDataSource.cs" />
    <Compile Include="Domain\AutoFilterCopy.cs" />
    <Compile Include="Domain\FavoriteTreeItem.cs" />
    <Compile Include="Domain\FavoritesManagement.cs" />
    <Compile Include="DAL\IOecdDataSource.cs" />
    <Compile Include="Domain\SdmxFilter.cs" />
    <Compile Include="Domain\UserSettings.cs" />
    <Compile Include="Domain\Wizard\DataConnection.cs" />
    <Compile Include="ErrorHandler.cs" />
    <Compile Include="ExcelMeta.cs" />
    <Compile Include="ExcelCellAccess.cs" />
    <Compile Include="Forms\AuthDialog.cs">
      <SubType>Form</SubType>
    </Compile>
    <Compile Include="Forms\AuthDialog.Designer.cs">
      <DependentUpon>AuthDialog.cs</DependentUpon>
    </Compile>
    <Compile Include="Forms\SelectExternalSource.cs">
      <SubType>Form</SubType>
    </Compile>
    <Compile Include="Forms\SelectExternalSource.Designer.cs">
      <DependentUpon>SelectExternalSource.cs</DependentUpon>
    </Compile>
    <Compile Include="Forms\MigrateConnectionsDialog.cs">
      <SubType>Form</SubType>
    </Compile>
    <Compile Include="Forms\MigrateConnectionsDialog.Designer.cs">
      <DependentUpon>MigrateConnectionsDialog.cs</DependentUpon>
    </Compile>
    <Compile Include="Forms\YesNoDialog.cs">
      <SubType>Form</SubType>
    </Compile>
    <Compile Include="Forms\YesNoDialog.Designer.cs">
      <DependentUpon>YesNoDialog.cs</DependentUpon>
    </Compile>
    <Compile Include="Forms\InfoDialog.cs">
      <SubType>Form</SubType>
    </Compile>
    <Compile Include="Forms\InfoDialog.Designer.cs">
      <DependentUpon>InfoDialog.cs</DependentUpon>
    </Compile>
    <Compile Include="Forms\AboutConnection.cs">
      <SubType>Form</SubType>
    </Compile>
    <Compile Include="Forms\AboutConnection.Designer.cs">
      <DependentUpon>AboutConnection.cs</DependentUpon>
    </Compile>
    <Compile Include="FormUpload.cs" />
    <Compile Include="Mappers\BaseMap.cs" />
    <Compile Include="Mappers\FavoritesMap.cs" />
    <Compile Include="Mappers\SdmxFilterMap.cs" />
    <Compile Include="Resources.Designer.cs">
      <AutoGen>True</AutoGen>
      <DesignTime>True</DesignTime>
      <DependentUpon>Resources.resx</DependentUpon>
    </Compile>
    <Compile Include="Ribbon.cs">
      <XmlRibbon>true</XmlRibbon>
    </Compile>
    <Compile Include="UI\Controls\CheckButton.cs">
      <SubType>Component</SubType>
    </Compile>
    <Compile Include="UI\CustomFlyoutPanel.cs">
      <SubType>UserControl</SubType>
    </Compile>
    <Compile Include="UI\ExternalSystemQuery.cs">
      <SubType>UserControl</SubType>
    </Compile>
    <Compile Include="UI\ExternalSystemQuery.Designer.cs">
      <DependentUpon>ExternalSystemQuery.cs</DependentUpon>
    </Compile>
    <Compile Include="UI\Filter\DimensionDisplayTree.cs">
      <SubType>Component</SubType>
    </Compile>
    <Compile Include="UI\IncrementalSearchTextBox.cs">
      <SubType>Component</SubType>
    </Compile>
    <Compile Include="UI\LongRunningOperation.cs" />
    <Compile Include="UI\Controls\MainButton.cs">
      <SubType>Component</SubType>
    </Compile>
    <Compile Include="UI\Meta\HtmlEditor.cs">
      <SubType>UserControl</SubType>
    </Compile>
    <Compile Include="UI\Meta\HtmlEditor.Designer.cs">
      <DependentUpon>HtmlEditor.cs</DependentUpon>
    </Compile>
    <Compile Include="UI\Meta\MetadataEditor.cs">
      <SubType>UserControl</SubType>
    </Compile>
    <Compile Include="UI\Meta\MetadataEditor.Designer.cs">
      <DependentUpon>MetadataEditor.cs</DependentUpon>
    </Compile>
    <Compile Include="UI\Meta\BaseMetadataEditUC.cs">
      <SubType>UserControl</SubType>
    </Compile>
    <Compile Include="UI\Meta\MetaUtils.cs" />
    <Compile Include="UI\Meta\MultilingualEdit.cs">
      <SubType>UserControl</SubType>
    </Compile>
    <Compile Include="UI\Meta\MultilingualEdit.Designer.cs">
      <DependentUpon>MultilingualEdit.cs</DependentUpon>
    </Compile>
    <Compile Include="UI\Meta\MultilingualItem.cs">
      <SubType>UserControl</SubType>
    </Compile>
    <Compile Include="UI\Meta\MultilingualItem.Designer.cs">
      <DependentUpon>MultilingualItem.cs</DependentUpon>
    </Compile>
    <Compile Include="UI\ReadOnlyTreeListData.cs" />
    <Compile Include="UI\SelectDatasetQuery.cs">
      <SubType>UserControl</SubType>
    </Compile>
    <Compile Include="UI\SelectDatasetQuery.Designer.cs">
      <DependentUpon>SelectDatasetQuery.cs</DependentUpon>
    </Compile>
    <Compile Include="UI\DWWaitForm.cs">
      <SubType>Form</SubType>
    </Compile>
    <Compile Include="UI\DWWaitForm.Designer.cs">
      <DependentUpon>DWWaitForm.cs</DependentUpon>
    </Compile>
    <Compile Include="UI\SWTreeList.cs">
      <SubType>Component</SubType>
    </Compile>
    <Compile Include="UI\DropdownItem.cs" />
    <Compile Include="WorkbookConnectionBag.cs" />
    <Compile Include="Domain\Wizard\IWizardDto.cs" />
    <Compile Include="Extensions.cs" />
    <Compile Include="Forms\DWFilterDialog.cs">
      <SubType>Form</SubType>
    </Compile>
    <Compile Include="Forms\DWFilterDialog.Designer.cs">
      <DependentUpon>DWFilterDialog.cs</DependentUpon>
    </Compile>
    <Compile Include="Forms\ShowQuerySyntaxDialog.cs">
      <SubType>Form</SubType>
    </Compile>
    <Compile Include="Forms\ShowQuerySyntaxDialog.Designer.cs">
      <DependentUpon>ShowQuerySyntaxDialog.cs</DependentUpon>
    </Compile>
    <Compile Include="Forms\EditFavorites.cs">
      <SubType>Form</SubType>
    </Compile>
    <Compile Include="Forms\EditFavorites.Designer.cs">
      <DependentUpon>EditFavorites.cs</DependentUpon>
    </Compile>
    <Compile Include="Forms\GetDataForm.cs">
      <SubType>Form</SubType>
    </Compile>
    <Compile Include="Forms\GetDataForm.Designer.cs">
      <DependentUpon>GetDataForm.cs</DependentUpon>
    </Compile>
    <Compile Include="Mappers\DataConnectionMap.cs" />
    <Compile Include="Properties\AssemblyInfo.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="UI\AddInBaseUserControl.cs">
      <SubType>UserControl</SubType>
    </Compile>
    <Compile Include="UI\CommonDimensionFilter.cs">
      <SubType>UserControl</SubType>
    </Compile>
    <Compile Include="UI\CommonDimensionFilter.Designer.cs">
      <DependentUpon>CommonDimensionFilter.cs</DependentUpon>
    </Compile>
    <Compile Include="UI\FavoriteDisplayTree.cs" />
    <Compile Include="UI\Filter\CommonDimensionFilterPanel.cs">
      <SubType>UserControl</SubType>
    </Compile>
    <Compile Include="UI\Filter\CommonDimensionFilterPanel.Designer.cs">
      <DependentUpon>CommonDimensionFilterPanel.cs</DependentUpon>
    </Compile>
    <Compile Include="UI\Filter\SWFilterPanel.cs">
      <SubType>UserControl</SubType>
    </Compile>
    <Compile Include="UI\Filter\SWFilterPanel.Designer.cs">
      <DependentUpon>SWFilterPanel.cs</DependentUpon>
    </Compile>
    <Compile Include="UI\Filter\TimeDimensionFilterPanel.cs">
      <SubType>UserControl</SubType>
    </Compile>
    <Compile Include="UI\Filter\TimeDimensionFilterPanel.Designer.cs">
      <DependentUpon>TimeDimensionFilterPanel.cs</DependentUpon>
    </Compile>
    <Compile Include="UI\FreeTextDimensionFilter.cs">
      <SubType>UserControl</SubType>
    </Compile>
    <Compile Include="UI\FreeTextDimensionFilter.Designer.cs">
      <DependentUpon>FreeTextDimensionFilter.cs</DependentUpon>
    </Compile>
    <Compile Include="UI\LabelBar.cs">
      <SubType>UserControl</SubType>
    </Compile>
    <Compile Include="UI\LabelBar.Designer.cs">
      <DependentUpon>LabelBar.cs</DependentUpon>
    </Compile>
    <Compile Include="UI\TimeDimensionFilter.cs">
      <SubType>UserControl</SubType>
    </Compile>
    <Compile Include="UI\TimeDimensionFilter.Designer.cs">
      <DependentUpon>TimeDimensionFilter.cs</DependentUpon>
    </Compile>
    <Compile Include="UI\Wizard\Interfaces.cs" />
    <Compile Include="UI\Wizard\SelectDataStep.cs">
      <SubType>UserControl</SubType>
    </Compile>
    <Compile Include="UI\Wizard\SelectDataStep.Designer.cs">
      <DependentUpon>SelectDataStep.cs</DependentUpon>
    </Compile>
    <Compile Include="UI\Wizard\SpecifyOutputStep.cs">
      <SubType>UserControl</SubType>
    </Compile>
    <Compile Include="UI\Wizard\SpecifyOutputStep.Designer.cs">
      <DependentUpon>SpecifyOutputStep.cs</DependentUpon>
    </Compile>
    <Compile Include="UI\Wizard\WizardBar.cs">
      <SubType>UserControl</SubType>
    </Compile>
    <Compile Include="UI\Wizard\WizardBar.Designer.cs">
      <DependentUpon>WizardBar.cs</DependentUpon>
    </Compile>
    <Compile Include="UI\Wizard\WizardBase.cs">
      <SubType>UserControl</SubType>
    </Compile>
    <Compile Include="UI\Wizard\WizardBase.Designer.cs">
      <DependentUpon>WizardBase.cs</DependentUpon>
    </Compile>
    <Compile Include="UI\Wizard\WizardStep.cs">
      <SubType>UserControl</SubType>
    </Compile>
    <Compile Include="UI\Wizard\WizardStep.Designer.cs">
      <DependentUpon>WizardStep.cs</DependentUpon>
    </Compile>
    <EmbeddedResource Include="Forms\SelectExternalSource.resx">
      <DependentUpon>SelectExternalSource.cs</DependentUpon>
    </EmbeddedResource>
    <EmbeddedResource Include="Forms\MigrateConnectionsDialog.resx">
      <DependentUpon>MigrateConnectionsDialog.cs</DependentUpon>
    </EmbeddedResource>
    <EmbeddedResource Include="Forms\YesNoDialog.resx">
      <DependentUpon>YesNoDialog.cs</DependentUpon>
    </EmbeddedResource>
    <EmbeddedResource Include="Forms\InfoDialog.resx">
      <DependentUpon>InfoDialog.cs</DependentUpon>
    </EmbeddedResource>
    <EmbeddedResource Include="Forms\DWFilterDialog.resx">
      <DependentUpon>DWFilterDialog.cs</DependentUpon>
    </EmbeddedResource>
    <EmbeddedResource Include="Forms\AboutConnection.resx">
      <DependentUpon>AboutConnection.cs</DependentUpon>
    </EmbeddedResource>
    <EmbeddedResource Include="Forms\ShowQuerySyntaxDialog.resx">
      <DependentUpon>ShowQuerySyntaxDialog.cs</DependentUpon>
    </EmbeddedResource>
    <EmbeddedResource Include="Forms\EditFavorites.resx">
      <DependentUpon>EditFavorites.cs</DependentUpon>
    </EmbeddedResource>
    <EmbeddedResource Include="Forms\GetDataForm.resx">
      <DependentUpon>GetDataForm.cs</DependentUpon>
    </EmbeddedResource>
    <EmbeddedResource Include="Properties\licenses.licx" />
    <EmbeddedResource Include="Resources.resx">
      <Generator>ResXFileCodeGenerator</Generator>
      <LastGenOutput>Resources.Designer.cs</LastGenOutput>
    </EmbeddedResource>
    <EmbeddedResource Include="UI\CommonDimensionFilter.resx">
      <DependentUpon>CommonDimensionFilter.cs</DependentUpon>
    </EmbeddedResource>
    <EmbeddedResource Include="UI\ExternalSystemQuery.resx">
      <DependentUpon>ExternalSystemQuery.cs</DependentUpon>
    </EmbeddedResource>
    <EmbeddedResource Include="UI\Filter\CommonDimensionFilterPanel.resx">
      <DependentUpon>CommonDimensionFilterPanel.cs</DependentUpon>
    </EmbeddedResource>
    <EmbeddedResource Include="UI\Filter\SWFilterPanel.resx">
      <DependentUpon>SWFilterPanel.cs</DependentUpon>
    </EmbeddedResource>
    <EmbeddedResource Include="UI\Filter\TimeDimensionFilterPanel.resx">
      <DependentUpon>TimeDimensionFilterPanel.cs</DependentUpon>
    </EmbeddedResource>
    <EmbeddedResource Include="UI\FreeTextDimensionFilter.resx">
      <DependentUpon>FreeTextDimensionFilter.cs</DependentUpon>
    </EmbeddedResource>
    <EmbeddedResource Include="UI\LabelBar.resx">
      <DependentUpon>LabelBar.cs</DependentUpon>
    </EmbeddedResource>
    <EmbeddedResource Include="UI\Meta\HtmlEditor.resx">
      <DependentUpon>HtmlEditor.cs</DependentUpon>
    </EmbeddedResource>
    <EmbeddedResource Include="UI\Meta\MetadataEditor.resx">
      <DependentUpon>MetadataEditor.cs</DependentUpon>
    </EmbeddedResource>
    <EmbeddedResource Include="UI\Meta\MultilingualEdit.resx">
      <DependentUpon>MultilingualEdit.cs</DependentUpon>
    </EmbeddedResource>
    <EmbeddedResource Include="UI\Meta\MultilingualItem.resx">
      <DependentUpon>MultilingualItem.cs</DependentUpon>
    </EmbeddedResource>
    <EmbeddedResource Include="UI\SelectDatasetQuery.resx">
      <DependentUpon>SelectDatasetQuery.cs</DependentUpon>
    </EmbeddedResource>
    <EmbeddedResource Include="UI\DWWaitForm.resx">
      <DependentUpon>DWWaitForm.cs</DependentUpon>
    </EmbeddedResource>
    <EmbeddedResource Include="UI\SWTreeList.resx">
      <DependentUpon>SWTreeList.cs</DependentUpon>
    </EmbeddedResource>
    <EmbeddedResource Include="UI\TimeDimensionFilter.resx">
      <DependentUpon>TimeDimensionFilter.cs</DependentUpon>
    </EmbeddedResource>
    <EmbeddedResource Include="UI\Wizard\SelectDataStep.resx">
      <DependentUpon>SelectDataStep.cs</DependentUpon>
      <SubType>Designer</SubType>
    </EmbeddedResource>
    <EmbeddedResource Include="UI\Wizard\SpecifyOutputStep.resx">
      <DependentUpon>SpecifyOutputStep.cs</DependentUpon>
    </EmbeddedResource>
    <EmbeddedResource Include="UI\Wizard\WizardBar.resx">
      <DependentUpon>WizardBar.cs</DependentUpon>
    </EmbeddedResource>
    <EmbeddedResource Include="UI\Wizard\WizardBase.resx">
      <DependentUpon>WizardBase.cs</DependentUpon>
    </EmbeddedResource>
    <EmbeddedResource Include="UI\Wizard\WizardStep.resx">
      <DependentUpon>WizardStep.cs</DependentUpon>
    </EmbeddedResource>
    <Compile Include="ThisAddIn.cs">
      <SubType>Code</SubType>
    </Compile>
    <None Include="dlmxl-prod.pfx" />
    <None Include="dlmxl-test.pfx" />
    <None Include="packages.lock.json" />
    <None Include="ThisAddIn.Designer.xml">
      <DependentUpon>ThisAddIn.cs</DependentUpon>
    </None>
    <Compile Include="ThisAddIn.Designer.cs">
      <DependentUpon>ThisAddIn.Designer.xml</DependentUpon>
    </Compile>
    <AppDesigner Include="Properties\" />
  </ItemGroup>
  <ItemGroup>
    <None Include="App.config">
    </None>
    <None Include="App.Prod.config">
      <DependentUpon>App.config</DependentUpon>
    </None>
    <None Include="App.Test.config">
      <DependentUpon>App.config</DependentUpon>
    </None>
  </ItemGroup>
  <ItemGroup>
    <ProjectReference Include="..\DLMXL.Models\DLMXL.Models.csproj">
      <Project>{9287a7a7-a721-44aa-b112-3353f8a1b5ad}</Project>
      <Name>DW.Models</Name>
    </ProjectReference>
    <ProjectReference Include="..\DLMXL.DAL\DLMXL.DAL.csproj">
      <Project>{fcbd666e-b400-422c-9983-ab03b6e966ec}</Project>
      <Name>DW.DAL</Name>
    </ProjectReference>
  </ItemGroup>
  <ItemGroup>
    <None Include="Resources\Close-Normal.png" />
  </ItemGroup>
  <ItemGroup>
    <PackageReference Include="Microsoft.Web.WebView2">
      <Version>1.0.1462.37</Version>
    </PackageReference>
  </ItemGroup>
  <ItemGroup>
    <EmbeddedResource Include="tinymce\**\*.*" />
  </ItemGroup>
  <ItemGroup>
    <EmbeddedResource Include="Ribbon.xml" />
  </ItemGroup>
  <ItemGroup>
    <None Include="Misc\images\new_table.png" />
  </ItemGroup>
  <ItemGroup>
    <None Include="Misc\images\change_selection.png" />
  </ItemGroup>
  <ItemGroup>
    <None Include="Misc\images\refresh_sheet.png" />
  </ItemGroup>
  <ItemGroup>
    <None Include="Misc\images\refresh_all.png" />
  </ItemGroup>
  <ItemGroup>
    <None Include="Misc\images\save_all.png" />
  </ItemGroup>
  <ItemGroup>
    <None Include="Misc\images\save_selected.png" />
  </ItemGroup>
  <ItemGroup>
    <None Include="Misc\images\help.png" />
  </ItemGroup>
  <ItemGroup>
    <None Include="Misc\images\edit.png" />
  </ItemGroup>
  <ItemGroup>
    <None Include="Misc\images\refresh.png" />
  </ItemGroup>
  <ItemGroup>
    <None Include="Misc\images\save_group.png" />
  </ItemGroup>
  <ItemGroup>
    <None Include="Misc\images\info.png" />
  </ItemGroup>
  <ItemGroup>
    <None Include="Misc\images\logout.png" />
  </ItemGroup>
  <ItemGroup>
    <None Include="Misc\images\Tag-16x16.png" />
  </ItemGroup>
  <ItemGroup>
    <None Include="Misc\images\ID-16x16.png" />
  </ItemGroup>
  <ItemGroup>
    <None Include="Misc\images\alert-16.png" />
  </ItemGroup>
  <PropertyGroup>
    <VisualStudioVersion Condition="'$(VisualStudioVersion)' == ''">10.0</VisualStudioVersion>
    <VSToolsPath Condition="'$(VSToolsPath)' == ''">$(MSBuildExtensionsPath32)\Microsoft\VisualStudio\v$(VisualStudioVersion)</VSToolsPath>
  </PropertyGroup>
  <PropertyGroup>
    <SignManifests>true</SignManifests>
  </PropertyGroup>
  <PropertyGroup>
    <ManifestKeyFile>dlmxl-test.pfx</ManifestKeyFile>
  </PropertyGroup>
  <PropertyGroup>
    <ManifestCertificateThumbprint>FB56710C11619DDA10F0325557B858209F2A348A</ManifestCertificateThumbprint>
  </PropertyGroup>
  <PropertyGroup>
    <SignAssembly>false</SignAssembly>
  </PropertyGroup>
  <PropertyGroup Condition="'$(Configuration)|$(Platform)' == 'Prod|AnyCPU'">
    <OutputPath>bin\Prod\</OutputPath>
    <DefineConstants>VSTO40;TRACE</DefineConstants>
    <Optimize>true</Optimize>
    <PlatformTarget>AnyCPU</PlatformTarget>
    <GenerateSerializationAssemblies>Off</GenerateSerializationAssemblies>
    <LangVersion>7.3</LangVersion>
  </PropertyGroup>
  <PropertyGroup Condition="'$(Configuration)|$(Platform)' == 'Test|AnyCPU'">
    <OutputPath>bin\Test\</OutputPath>
    <DefineConstants>VSTO40;TRACE</DefineConstants>
    <Optimize>true</Optimize>
    <PlatformTarget>AnyCPU</PlatformTarget>
    <GenerateSerializationAssemblies>Off</GenerateSerializationAssemblies>
    <LangVersion>7.3</LangVersion>
  </PropertyGroup>
  <!-- Include the build rules for a C# project. -->
  <Import Project="$(MSBuildToolsPath)\Microsoft.CSharp.targets" />
  <!-- Include additional build rules for an Office application add-in. -->
  <Import Project="$(VSToolsPath)\OfficeTools\Microsoft.VisualStudio.Tools.Office.targets" Condition="'$(VSToolsPath)' != ''" />
  <!-- This section defines VSTO properties that describe the host-changeable project properties. -->
  <ProjectExtensions>
    <VisualStudio>
      <FlavorProperties GUID="{BAA0C2D2-18E2-41B9-852F-F413020CAA33}">
        <ProjectProperties HostName="Excel" HostPackage="{29A7B9D7-A7F1-4328-8EF0-6B2D1A56B2C1}" OfficeVersion="15.0" VstxVersion="4.0" ApplicationType="Excel" Language="cs" TemplatesPath="VSTOTemplates" DebugInfoExeName="#Software\Microsoft\Office\16.0\Excel\InstallRoot\Path#excel.exe" DebugInfoCommandLine="/x " AddItemTemplatesGuid="{51063C3A-E220-4D12-8922-BDA915ACD783}" />
        <Host Name="Excel" GeneratedCodeNamespace="ExcelAddIn" PublishedHash="69C324AB27932AA2FBF2B7EA72250886FF164DE6" IconIndex="0">
          <HostItem Name="ThisAddIn" Code="ThisAddIn.cs" CanonicalName="AddIn" PublishedHash="64E28B1A55C5E137AEE7B0230988D462C925A37E" CanActivate="false" IconIndex="1" Blueprint="ThisAddIn.Designer.xml" GeneratedCode="ThisAddIn.Designer.cs" />
        </Host>
      </FlavorProperties>
    </VisualStudio>
  </ProjectExtensions>
</Project>